#!/usr/bin/python

from dxfReader import readDXF
import sys

filename = "test.dxf"

if len(sys.argv) >= 2:
	filename = sys.argv[1]

print "opening file "+filename

drawing = readDXF(filename)

#lines
lines = drawing.entities.get_type("line") 
for line in lines:
	print "line on layer "+str(line.layer)+":"
	for p in line.points:
		print "\t("+str(p[0])+", "+str(p[1])+", "+str(p[2])+")"
print "done drawing lines"

#polylines (at the moment arc segments get straightened)
polylines = drawing.entities.get_type("lwpolyline")
for polyline in polylines:
	print "polyline on layer "+str(polyline.layer)+":"
	for p in polyline.points:
		print "\t("+str(p[0])+", "+str(p[1])+", "+str(p[2])+")"
print "done drawing lwpolylines"

#arcs
arcs = drawing.entities.get_type("arc")
for arc in arcs:
	print "arc on layer "+str(arc.layer)+":"
	print "\t("+str(arc.loc[0])+", "+str(arc.loc[1])+", "+str(arc.loc[2])+") start_angle: "+str(arc.start_angle)+" end_angle: "+str(arc.end_angle)+" radius: "+str(arc.radius)
print "done drawing arcs"

#circles
circles = drawing.entities.get_type("circle")
for circle in circles:
	print "circle on layer "+str(circle.layer)+":"
	print "\t("+str(circle.loc[0])+", "+str(circle.loc[1])+", "+str(circle.loc[2])+") radius: "+str(circle.radius)
print "done drawing circles"

